Ada Reference Manual (Ada 2022) — Legal Information

# J.15.10 Pragma Dispatching_Domain

#### Syntax

1/3
The form of a pragma Dispatching_Domain is as follows:
2/3
pragma Dispatching_Domain (expression);

#### Name Resolution Rules

3/3
The expected type for the expression is System.Multiprocessors.Dispatching_Domains.Dispatching_Domain.

#### Legality Rules

4/3
A Dispatching_Domain pragma is allowed only immediately within a task_definition.

#### Static Semantics

5/3
For an implementation that supports Annex D, a pragma Dispatching_Domain specifies the value of the Dispatching_Domain aspect (see D.16.1). The expression is associated with the aspect for the task type or single_task_declaration that contains the pragma.

Ada 2005 and 2012 Editions sponsored in part by Ada-Europe